"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConstOp = void 0;
const clock_1 = require("../clock");
class ConstOp {
    constructor(id, val) {
        this.id = id;
        this.val = val;
    }
    span() {
        return 1;
    }
    name() {
        return 'const';
    }
    toString(tab = '') {
        const val = this.val;
        const valFormatted = val instanceof clock_1.Timestamp
            ? `{ ${(0, clock_1.toDisplayString)(val)} }`
            : val instanceof Uint8Array
                ? val.length < 13
                    ? `Uint8Array { ${('' + val).replaceAll(',', ', ')} }`
                    : `Uint8Array(${val.length})`
                : `{ ${JSON.stringify(val)} }`;
        return `"${this.name()}" ${(0, clock_1.toDisplayString)(this.id)} ${valFormatted}`;
    }
}
exports.ConstOp = ConstOp;
