import { Timestamp, toDisplayString } from '../clock';
export class ConstOp {
    id;
    val;
    constructor(id, val) {
        this.id = id;
        this.val = val;
    }
    span() {
        return 1;
    }
    name() {
        return 'const';
    }
    toString(tab = '') {
        const val = this.val;
        const valFormatted = val instanceof Timestamp
            ? `{ ${toDisplayString(val)} }`
            : val instanceof Uint8Array
                ? val.length < 13
                    ? `Uint8Array { ${('' + val).replaceAll(',', ', ')} }`
                    : `Uint8Array(${val.length})`
                : `{ ${JSON.stringify(val)} }`;
        return `"${this.name()}" ${toDisplayString(this.id)} ${valFormatted}`;
    }
}
